var localizeAttribute = function(localizer, attr, type) {
	var entityAttr = localizer.getString(attr);
	if(entityAttr !== attr) {
		return entityAttr;
	}

	switch(type) {
		case 'ACCOUNT':
			entityAttr = ('acct_').concat(attr);
			return localizer.getString(entityAttr);
		case 'GROUP':
			entityAttr = ('grp_').concat(attr);
			return localizer.getString(entityAttr);
		case 'PERMISSION':
			entityAttr = ('perm_').concat(attr);
			return localizer.getString(entityAttr);
		case 'USER':
			entityAttr = ('user_').concat(attr);
			return localizer.getString(entityAttr);
		default:
			return attr;
	}
};

var getOutputPrefix = function(jsonStr) {
	var jsonObj = JSON.parse(jsonStr);
	if (jsonObj.outputFilePrefix !== undefined) {
		return jsonObj.outputFilePrefix;
	}
};

var getContext = function(jsonStr, localizer) {
	var jsonObj = JSON.parse(jsonStr);
	var resultList = [];

	if(jsonObj !== null) {
		if(jsonObj.context !== undefined && jsonObj.entityType !== undefined && localizer !== null) {
			var entity = jsonObj.entityType;
			resultList.push(jsonObj.context.map(function (cont) { return localizeAttribute(localizer, cont, entity).concat(' (' + cont + ')');}).join('<br>'));
		}
	}

	return resultList.join(' ');
};

var getCurate = function(jsonStr, localizer) {
	var jsonObj = JSON.parse(jsonStr);
	
	var resultList = [];
	if(jsonObj !== null) {
		if(jsonObj.curate !== undefined && jsonObj.entityType !== undefined && localizer !== null) {
			var entity = jsonObj.entityType;
			resultList.push(jsonObj.curate.map(function (curee) { return localizeAttribute(localizer, curee, entity).concat(' (' + curee + ')');}).join('<br>'));
		}
	}
	
	return resultList.join(' ');
};

var getNotification = function(jsonStr, localizer) {
	var jsonObj = JSON.parse(jsonStr);
	var resultList = [];

	if(jsonObj !== null) {
		if(jsonObj.notify !== undefined && localizer !== null) {
			resultList.push(jsonObj.notify.map(function (notee) { return (notee.displayName + ' (' + localizer.getString(notee.type) + ')');}).join('<br>'));
		}
	}

	return resultList.join(' ');
};